Browse Source

Fix requirements.txt for Victoria

There are a couple of extra requirements no longer used and one
that was missing. This patch corrects that.

Change-Id: I5f45e6f0f15bca201c3ef63f2e42a183510f5977
changes/18/751918/2
Michael Johnson 1 year ago
parent
commit
6c8c4f18fd
  1. 5
      requirements.txt
  2. 2
      tools/coding-checks.sh

5
requirements.txt

@ -17,7 +17,7 @@ WebOb>=1.8.2 # MIT
stevedore>=1.20.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=8.3.0 # Apache-2.0
oslo.db[mysql]>=8.3.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=12.4.0 # Apache-2.0
@ -29,7 +29,6 @@ oslo.upgradecheck>=0.1.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
pyasn1!=0.2.3,>=0.1.8 # BSD
pyasn1-modules>=0.0.6 # BSD
PyMySQL>=0.8.0 # MIT License
python-barbicanclient>=4.5.2 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
@ -47,10 +46,10 @@ octavia-lib>=2.2.0 # Apache-2.0
netaddr>=0.7.19 # BSD
simplejson>=3.13.2 # MIT
setproctitle>=1.1.10 # BSD
python-dateutil>=2.7.0 # BSD
#for the amphora api
Flask!=0.11,>=0.10 # BSD
netifaces>=0.10.4 # MIT
cryptography>=3.0 # BSD/Apache-2.0
pyroute2>=0.5.14;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
gunicorn>=19.9.0 # MIT

2
tools/coding-checks.sh

@ -48,7 +48,7 @@ run_pylint () {
echo "Running pylint..."
echo "You can speed this up by running it on 'HEAD~[0-9]' (e.g. HEAD~1, this change only)..."
if [ -n "${files}" ]; then
pylint -j 0 --max-nested-blocks 7 --extension-pkg-whitelist netifaces --rcfile=.pylintrc --output-format=colorized ${files}
pylint -j 0 --max-nested-blocks 7 --rcfile=.pylintrc --output-format=colorized ${files}
else
echo "No python changes in this commit, pylint check not required."
exit 0

Loading…
Cancel
Save